# Uses of Class
org.eclipse.jdt.core.dom.StructuralPropertyDescriptor

Packages that use StructuralPropertyDescriptor
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.
org.eclipse.jdt.core.dom.rewrite
The Java DOM/AST rewrite is the set of classes that are used to make changes to an existing DOM/AST tree.

## Uses of StructuralPropertyDescriptor in org.eclipse.jdt.core.dom

Subclasses of StructuralPropertyDescriptor in org.eclipse.jdt.core.dom
Modifier and Type
Class
Description
`final class`
`ChildListPropertyDescriptor`
Descriptor for a child list property of an AST node.
`final class`
`ChildPropertyDescriptor`
Descriptor for a child property of an AST node.
`final class`
`SimplePropertyDescriptor`
Descriptor for a simple property of an AST node.
Methods in org.eclipse.jdt.core.dom that return StructuralPropertyDescriptor
Modifier and Type
Method
Description
`final StructuralPropertyDescriptor`
ASTNode.`getLocationInParent()`
Returns the location of this node within its parent, or `null` if this is a root node.
Methods in org.eclipse.jdt.core.dom with parameters of type StructuralPropertyDescriptor
Modifier and Type
Method
Description
`final Object`
ASTNode.`getStructuralProperty(StructuralPropertyDescriptor property)`
Returns the value of the given structural property for this node.
`final void`
ASTNode.`setStructuralProperty(StructuralPropertyDescriptor property, Object value)`
Sets the value of the given structural property for this node.

## Uses of StructuralPropertyDescriptor in org.eclipse.jdt.core.dom.rewrite

Methods in org.eclipse.jdt.core.dom.rewrite that return StructuralPropertyDescriptor
Modifier and Type
Method
Description
`StructuralPropertyDescriptor`
ListRewrite.`getLocationInParent()`
Returns the property of the parent node for which this list rewriter was created.
Methods in org.eclipse.jdt.core.dom.rewrite with parameters of type StructuralPropertyDescriptor
Modifier and Type
Method
Description
`Object`
ASTRewrite.`get(ASTNode node, StructuralPropertyDescriptor property)`
Returns the value of the given property as managed by this rewriter.
`final void`
ASTRewrite.`set(ASTNode node, StructuralPropertyDescriptor property, Object value, org.eclipse.text.edits.TextEditGroup editGroup)`
Sets the given property of the given node.